Summary: Print dialog and printer manager for Xfce 4
Name: xfprint
Version: 4.2.2
Release: 1.fc4.XOS.1
License: BSD
URL: http://www.xfce.org
Source0: http://www.us.xfce.org/archive/xfce-4.2.2/src/xfprint-4.2.2.tar.gz
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: libxfcegui4 >= %{version}
Requires: a2ps
BuildRequires: glib2-devel
BuildRequires: libxfcegui4-devel >= %{version}
BuildRequires: libxfce4mcs-devel >= %{version}
BuildRequires: xfce-mcs-manager-devel >= %{version}
BuildRequires: a2ps
BuildRequires: cups-devel

%description
xfprint contains a print dialog and a printer manager for the
Xfce 4 Desktop Environment

%prep
%setup -q

%build
%configure

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT/%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/xfce4/mcs-plugins/*.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/xfce4/mcs-plugins/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/xfce4/xfprint-plugins/*.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/xfce4/xfprint-plugins/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog NEWS COPYING AUTHORS NOTES
%{_bindir}/*
%{_libdir}/xfce4/mcs-plugins
%{_libdir}/xfce4/xfprint-plugins
%{_datadir}/applications/*
%{_datadir}/xfce4/doc/C
%{_datadir}/xfce4/doc/fr
%{_datadir}/icons/hicolor/*/*/*

%changelog
* Thu Jul 28 2005 X/OS Linux Team <xoslinux@xos.nl> 4.2.2-1.fc4.XOS.1
- Build for X/OS Linux 4.
- X/OS Linux source rpm based on xfprint-4.2.2-1.fc4.src.rpm
  (md5sum of original source rpm: 428e5ce622cd62998ca467cbb0daa9be).

* Fri May 17 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.2-1.fc4
- Updated to 4.2.2
- Added doc/fr directory

* Fri Mar 25 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-3.fc4
- lowercase Release

* Tue Mar 22 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-2.FC4
- Removed unneeded ldconfig and la/a files

* Tue Mar 15 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-1
- Updated to 4.2.1 version
- Fixed case of Xfce

* Fri Jan 28 2005 Than Ngo <than@redhat.com> 4.2.0-1
- 4.2.0

* Wed Sep 01 2004 Than Ngo <than@redhat.com> 4.0.6-2
- get rid of useless static library
- add missing ldconfig
- use find_lang

* Tue Aug 17 2004 Than Ngo <than@redhat.com> 4.0.6-1 
- Initial packaging for Fedora Core 3 
